Bug 7525 - Some database fields are displayed 'as is' when they are linked to authorised values
Summary: Some database fields are displayed 'as is' when they are linked to authorised...
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 7515
  Show dependency treegraph
 
Reported: 2012-02-10 15:09 UTC by Gaetan Boisson
Modified: 2019-04-28 21:40 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gaetan Boisson 2012-02-10 15:09:34 UTC
We have to reuse item fields in ways they were not intended to quite often in order to respond to libraries specific demands.
In some cases we will control these fields with an authorized value, but not all fields will display the authorized value description on the opac and admin interface.

See:

http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=7379

Which took care of this problem for the copynumber field.
Comment 1 Gaetan Boisson 2012-10-22 16:46:29 UTC
Here's a proposal for solving this problem :

The table in which items are displayed on the additems.pl actually lists all the information properly, with the description and not the code when a field is linked to an authorized value. This also has the added benefit of displaying whatever is found in more_subfields_xml with the right title for the column, which would denifitely solve the problem of recyvling fields.
Comment 2 Katrin Fischer 2019-04-28 21:40:35 UTC
The bug description is not clear on which fields should be fixed.

I am wondering if this is a WONTFIX as arbitrary reuse of fields probably is causing other issues as well and improving more_subfields_xml instead might be the better idea.